org.apache.storm.daemon.drpc

## Class BlockingOutstandingRequest

- java.lang.Object
- - org.apache.storm.daemon.drpc.OutstandingRequest
  - - org.apache.storm.daemon.drpc.BlockingOutstandingRequest

-     public class BlockingOutstandingRequest
      extends OutstandingRequest

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RequestFactory<BlockingOutstandingRequest>` | `FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockingOutstandingRequest(String function, DRPCRequest req)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fail(DRPCExecutionException e)`
    `String` | `getResult()`
    `void` | `returnResult(String result)`

    - ### Methods inherited from class org.apache.storm.daemon.drpc.OutstandingRequest

      `fetched, getFunction, getRequest, isTimedOut, wasFetched`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FACTORY

          public static final RequestFactory<BlockingOutstandingRequest> FACTORY

  - ### Constructor Detail

    - #### BlockingOutstandingRequest

          public BlockingOutstandingRequest(String function,
                                            DRPCRequest req)

  - ### Method Detail

    - #### getResult

          public String getResult()
                           throws DRPCExecutionException

      Throws:
        `DRPCExecutionException`

    - #### returnResult

          public void returnResult(String result)

      Specified by:
        `returnResult` in class `OutstandingRequest`

    - #### fail

          public void fail(DRPCExecutionException e)

      Specified by:
        `fail` in class `OutstandingRequest`

Copyright © 2021 The Apache Software Foundation. All rights reserved.